create table dbamon.history
  (
    dbamonmode       varchar(8)                not null,
    instance         varchar(80)               not null,
    system           varchar(80)               not null,
    dbms             varchar(16)               not null,
    category         varchar(16)               not null,
    parm             varchar(64)               not null,
    value            numeric(15,2)               not null,
    value2           numeric(15,2)               ,
    value3           numeric(15,2)               ,
    value4           numeric(15,2)               ,
    ts               datetime2(0)                        default getdate(),
    zdate            varchar(10)                 
  );

create unique index history_x1 on dbamon.history (dbamonmode,zdate,instance,category,parm) ;
create index history_x2 on dbamon.history (ts) ;
create index history_x3 on dbamon.history (instance,system) ;
